### Function

# Gimp gradient_segment_range_flip

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_flip (
      const gchar* name,
      gint start_segment,
      gint end_segment
    )

#### Description [src]

Flip the segment range

This function flips a segment range.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`start_segment`

  Type: `gint`

  The index of the first segment to operate on.

`end_segment`

  Type: `gint`

  The index of the last segment to operate on. If negative, the selection will extend to the end of the string.

#### Return value

Type: `gboolean`

TRUE on success.